﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/11/2019 13:29:30
-- Server version: 5.5.5-10.1.38-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE doom;

--
-- Drop table `armas`
--
DROP TABLE IF EXISTS armas;

--
-- Drop table `demonios`
--
DROP TABLE IF EXISTS demonios;

--
-- Drop table `jugadores`
--
DROP TABLE IF EXISTS jugadores;

--
-- Drop table `personajes`
--
DROP TABLE IF EXISTS personajes;

--
-- Drop table `habilidades`
--
DROP TABLE IF EXISTS habilidades;

--
-- Drop table `razas`
--
DROP TABLE IF EXISTS razas;

--
-- Drop table `zonas`
--
DROP TABLE IF EXISTS zonas;

--
-- Drop table `mapas`
--
DROP TABLE IF EXISTS mapas;

--
-- Set default database
--
USE doom;

--
-- Create table `mapas`
--
CREATE TABLE mapas (
  nombre_mapa varchar(12) NOT NULL,
  puntos_control varchar(20) DEFAULT NULL,
  foto varchar(25) DEFAULT NULL,
  PRIMARY KEY (nombre_mapa)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `zonas`
--
CREATE TABLE zonas (
  cod_zona int(1) NOT NULL,
  es_secreta tinyint(1) DEFAULT NULL,
  nombre_mapa varchar(20) DEFAULT NULL,
  PRIMARY KEY (cod_zona)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE zonas
ADD CONSTRAINT fk_zonas_mapas FOREIGN KEY (nombre_mapa)
REFERENCES mapas (nombre_mapa);

--
-- Create table `razas`
--
CREATE TABLE razas (
  nombre_raza varchar(10) NOT NULL,
  PRIMARY KEY (nombre_raza)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `habilidades`
--
CREATE TABLE habilidades (
  id int(1) NOT NULL,
  nombre_raza varchar(10) DEFAULT NULL,
  habilidades varchar(10) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE habilidades
ADD CONSTRAINT fk_habilidades_razas FOREIGN KEY (nombre_raza)
REFERENCES razas (nombre_raza);

--
-- Create table `personajes`
--
CREATE TABLE personajes (
  cod_personaje int(1) NOT NULL,
  nombre varchar(10) DEFAULT NULL,
  descripcion varchar(110) DEFAULT NULL,
  es_secundario tinyint(1) DEFAULT NULL,
  PRIMARY KEY (cod_personaje)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `jugadores`
--
CREATE TABLE jugadores (
  cod_jugador int(1) NOT NULL,
  cod_personaje int(1) DEFAULT NULL,
  nombre varchar(10) DEFAULT NULL,
  PRIMARY KEY (cod_jugador)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_personaje_jugador` on table `jugadores`
--
ALTER TABLE jugadores
ADD UNIQUE INDEX uk_personaje_jugador (cod_jugador);

--
-- Create foreign key
--
ALTER TABLE jugadores
ADD CONSTRAINT fk_jugador_personaje FOREIGN KEY (cod_jugador)
REFERENCES personajes (cod_personaje);

--
-- Create table `demonios`
--
CREATE TABLE demonios (
  cod_demonio int(1) NOT NULL,
  cod_personaje int(1) DEFAULT NULL,
  numero int(2) DEFAULT NULL,
  nombre_razas varchar(10) DEFAULT NULL,
  nombre_mapas varchar(12) DEFAULT NULL,
  nombre_demonio varchar(12) DEFAULT NULL,
  PRIMARY KEY (cod_demonio)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE demonios
ADD CONSTRAINT fk_demonios_personaje FOREIGN KEY (cod_personaje)
REFERENCES personajes (cod_personaje);

--
-- Create table `armas`
--
CREATE TABLE armas (
  numero int(2) NOT NULL,
  cod_personaje int(1) DEFAULT NULL,
  nombre varchar(10) DEFAULT NULL,
  municion varchar(12) DEFAULT NULL,
  PRIMARY KEY (numero)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE armas
ADD CONSTRAINT fk_armas_personaje FOREIGN KEY (cod_personaje)
REFERENCES personajes (cod_personaje);

-- 
-- Dumping data for table mapas
--
-- Table doom.mapas does not contain any data (it is empty)

-- 
-- Dumping data for table razas
--
-- Table doom.razas does not contain any data (it is empty)

-- 
-- Dumping data for table personajes
--
-- Table doom.personajes does not contain any data (it is empty)

-- 
-- Dumping data for table zonas
--
-- Table doom.zonas does not contain any data (it is empty)

-- 
-- Dumping data for table jugadores
--
-- Table doom.jugadores does not contain any data (it is empty)

-- 
-- Dumping data for table habilidades
--
-- Table doom.habilidades does not contain any data (it is empty)

-- 
-- Dumping data for table demonios
--
-- Table doom.demonios does not contain any data (it is empty)

-- 
-- Dumping data for table armas
--
-- Table doom.armas does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;